%define gitrev 44a012f
%define gitdate 20150914

# How to prepare the source archive from the git tree:
# $ hash=`git log -1 --format='%h'`
# $ date=`git log -1 --format='%cd' --date=short | tr -d -`
# $ git archive --prefix rtl8723bs-${date}-git${hash}/ ${hash} \
#	| xz -7e > rtl8723bs-${date}-git${hash}.tar.xz

%define kname r8723bs
%define firmware_dir /lib/firmware/rtlwifi/

%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

Summary:	Driver for Realtek RTL8723BS Wireless LAN 802.11n SDIO
Name:		rtl8723bs
Version:	4.3.5.5.20140916
Release:	2.%{gitdate}.4
Source0:	%{name}-%{gitdate}-git%{gitrev}.tar.xz
Source1:	%{name}.rpmlintrc
License:	GPLv2
Group:		System/Kernel and hardware
URL:		https://github.com/lwfinger/rtl8723bs/tree/hadess

Patch1:		Allow-to-build-the-module-for-the-non-current-kernels.patch

%description
This package contains the driver for RTL8723BS Wireless LAN adapter
by Realtek.

%package -n dkms-%{name}
Summary:	Driver for Realtek RTL8723BS Wireless LAN 802.11n SDIO
Group:		System/Kernel and hardware
Requires(post):		dkms
Requires(preun):	dkms

%description -n dkms-%{name}
This package contains the driver for RTL8723BS Wireless LAN adapter
by Realtek.

%prep
%setup -qn %{name}-%{gitdate}-git%{gitrev}
%apply_patches

%build

%install

# install dkms sources
mkdir -p %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}
cp -R * %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/
cat > %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/dkms.conf << EOF
MAKE="make KVER=\${kernelver}"
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}-%{release}
DEST_MODULE_LOCATION=/kernel/3rdparty/%{name}
BUILT_MODULE_NAME=%{kname}
AUTOINSTALL=yes
EOF

# install the firmware
mkdir -p %{buildroot}%{firmware_dir}
install -m 644 rtl8723bs_nic %{buildroot}%{firmware_dir}/rtl8723bs_nic.bin
install -m 644 rtl8723bs_wowlan %{buildroot}%{firmware_dir}/rtl8723bs_wowlan.bin


%post -n dkms-%{name}
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %{name} -v %{version}-%{release}

# Build and install the driver for all available kernels that have devel
# files, no matter how these kernels were installed (from RPMs or manually).
# Do not fail the installation of the package if the build fails for some
# kernels, this may happen during testing, etc.
for kk in /lib/modules/*; do
	kk=$(echo $kk | sed 's/^\/lib\/modules\///');
	if test -d "/lib/modules/$kk/build"; then
		/usr/sbin/dkms --rpm_safe_upgrade build -m %{name} -v %{version}-%{release} -k $kk &&
		/usr/sbin/dkms --rpm_safe_upgrade install -m %{name} -v %{version}-%{release} -k $kk || true
	else
		echo "WARNING: No development files for kernel \"$kk\"" > /dev/stderr;
	fi;
done

%preun -n dkms-%{name}
# rmmod can fail (e.g. if the module is not loaded), but it should not stop
# deinstallation.
/sbin/rmmod %{kname} >/dev/null 2>&1 || true
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{name} -v %{version}-%{release} --all || true

%files -n dkms-%{name}
%dir %{_usr}/src/%{name}-%{version}-%{release}
%{_usr}/src/%{name}-%{version}-%{release}/*
%{firmware_dir}/rtl8723bs_nic.bin
%{firmware_dir}/rtl8723bs_wowlan.bin

%changelog

* Tue Jan 05 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 4.3.5.5.20140916-2.20150914.4
- (af1cd15) Release up


